Server-Side Requirements: Linux PC

  • x86 compatible prozessor with at least 2 GHz clock frequency, 64 bit.
  • At least 2 GB RAM (recommended: 4 GB).
  • Free disk space: 50 GB.
  • Operating system (64 Bit):
    • CMS Fiona 7.0.0 (2015-05-15): SuSE Linux Enterprise (SLES) 12
    • CMS Fiona 7.0.1 (2015-08-20): SuSE Linux Enterprise (SLES) 11/12, Ubuntu 14.04/16.04 LTS, Red Hat Enterprise Linux 6.x
  • The database-specific 32-bit compatibility libraries for 64 bit systems.
  • The 32-bit versions of the system libraries.
  • Sun Java Development Kit, at least JDK 1.6, update 5, maximum JDK 1.8 (http://java.sun.com)
  • To use Infopark's tool that determines the data required for obtaining a license file (LicenseTool) on a 64-bit system, the 32-bit version of the libgcc library is required (in addition to the 32-bit versions of the system libraries) and needs to be installed if it is missing.
  • Installing Infopark CMS Fiona on remote storage devices is expressly not supported.

From Version 6.5.0

For operating Infopark CMS Fiona, you require third-party software (OpenSource libraries and applications), for example the openSSL library.

This software is included in the Infopark CMS Fiona installation package. We provide this software as it is, i.e. without liability for its being up-to-date or its operativeness. From version 6.7.1, this software is always installed.

From version 6.5.0 to 6.7.0, the setup procedure will ask you to install this software if one of the prerequisites is not met. If you choose to install and maintain the required software yourself (to stay up-to-date, for example), please refer to the following table for the detailed list of required packages. If your distribution does not include one or more packages in the required version, please download this software from the source specified and observe the installation notes. With some packages it might be necessary to compile the software.

The following packages are required for being able to operate Infopark CMS Fiona:

Package Version
ImageMagick: http://www.imagemagick.org

To get the whole range of functions please run:
sudo apt-get install imagemagick
Afterwards uncommend a Line in Instance/IhreInsanz/bin/CM 
Therefor see the following abstract:
# just deactivate the following line to not override (a compatible and configured) system's ImageMagick
imageMagickBase="$NPS_BASEDIR"/3rdparty/ImageMagick
at least  6.0
Tcl: http://www.tcl.tk
If the file libtcl.so does not exist, please create a symbolic link with this name pointing to libtcl8.<em>x</em>.so.
at least  8.4.9
TclLib: http://tcllib.sourceforge.net at least  1.9
TclCurl: http://personal1.iddeo.es/andresgarci/tclcurl/english/ at least  0.15
Curl: http://curl.haxx.se at least  7.15
libxml2: http://www.xmlsoft.org/ at least  2.6.23
TclTLS: http://tls.sourceforge.net at least  1.5
zlib: http://www.zlib.net at least 1.2.3
OpenSSL (from version 6.7.0): http://www.openssl.org 0.9.7
glibc (from Version 7.0.1) 2.07 or 2.11